# Class StateParams

- Defined in router/params/state-params.js:2

#####
Index

### Constructors

constructor

### Methods

$inherit

##
Constructors

### constructor

- new StateParams(params?): StateParams

- #### Parameters

  - params: {} = {}

  #### Returns StateParams

  - Defined in router/params/state-params.js:3

##
Methods

### $inherit

- $inherit(newParams, $current, $to): any

- Merges a set of parameters with all parameters inherited between the common parents of the current state and a given destination state.

  #### Parameters

  - newParams: any

    The set of parameters which will be composited with inherited params.

  - $current: any

    Internal definition of object representing the current state.

  - $to: any

    Internal definition of object representing state to transition to.

  #### Returns any

  - Defined in router/params/state-params.js:14